Managed Service for MySQL API, REST: Cluster.ListLogs
Retrieves logs for a cluster.
Alternatively, logs can be streamed using StreamLogs.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-mysql/v1/clusters/{clusterId}:logs
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the cluster to request logs for. The maximum string length in characters is 50. |
Query parameters
|
Field |
Description |
|
columnFilter[] |
string Columns from the logs table to request. |
|
serviceType |
enum (ServiceType) The log type.
|
|
fromTime |
string (date-time) Start timestamp for the logs request. String in RFC3339 To work with values in this field, use the APIs described in the |
|
toTime |
string (date-time) End timestamp for the logs request. String in RFC3339 To work with values in this field, use the APIs described in the |
|
pageSize |
string (int64) The maximum number of results per page to return. Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token that can be used to iterate through multiple pages of results. The maximum string length in characters is 100. |
|
alwaysNextPageToken |
boolean Option that controls the behavior of result pagination. |
Response
HTTP Code: 200 - OK
{
"logs": [
{
"timestamp": "string",
"message": "object"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
logs[] |
Requested log records. |
|
nextPageToken |
string The token that can be used to get the next page of results. |
LogRecord
A single log record.
|
Field |
Description |
|
timestamp |
string (date-time) Timestamp of the log record. String in RFC3339 To work with values in this field, use the APIs described in the |
|
message |
object (map<string, string>) Contents of the log record. |